## TS-TGL_GPL.zip

=== Makefile ===
VERSION = 2
PATCHLEVEL = 4
SUBLEVEL = 20
EXTRAVERSION = $(shell if [ -f .hhl_target_lspname ]; then \
				echo "_mvl31-`cat .hhl_target_lspname`"; \
		       else \
				echo "_mvl31"; \
		       fi)

KERNELRELEASE=$(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

ARCH := $(shell if [ -f .hhl_target_cpu ]; then \
			cat .hhl_target_cpu; \
		else \
			uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/; \
		fi)
KERNELPATH=kernel-$(shell echo $(KERNELRELEASE) | sed -e "s/-//g")

CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

SHELL := $(CONFIG_SHELL)
TOPDIR	:= $(shell /bin/pwd)

HPATH   	= $(TOPDIR)/include
FINDHPATH	= $(HPATH)/asm $(HPATH)/linux $(HPATH)/scsi $(HPATH)/net $(HPATH)/math-emu
HOSTINCLUDE	= $(shell if [ -n "`which hhl-whereami 2> /dev/null`" ] ; then \
				echo "-I`hhl-whereami`/../include"; \
			  fi) 
HOSTCC  	= gcc
HOSTCFLAGS	= -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer $(HOSTINCLUDE)

CROSS_COMPILE   = $(shell if [ -f .hhl_cross_compile ]; then \
			          cat .hhl_cross_compile; \
			  fi)
HOSTOS=$(shell uname)
ifeq (${HOSTOS},SunOS)
TOOLDIR=""
else
TOOLDIR="/sbin/"
endif

#
# Include the make variables (CC, etc...)
#

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
MAKEFILES	= $(TOPDIR)/.config
GENKSYMS	= $(TOOLDIR)genksyms
DEPMOD		= $(TOOLDIR)depmod
MODFLAGS	= -DMODULE
CFLAGS_KERNEL	=
PERL		= perl
PYTHON		= python
BASECONFIG	= $(TOPDIR)/scripts/baseconfig

export	VERSION PATCHLEVEL SUBLEVEL EXTRAVERSION KERNELRELEASE ARCH \
	CONFIG_SHELL TOPDIR HPATH HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC \
	CPP AR NM STRIP OBJCOPY OBJDUMP MAKE MAKEFILES GENKSYMS MODFLAGS PERL

all:	do-it-all

#
# Make "config" the default target if there is no configuration file or
# "depend" the target if there is no top-level dependency information.
#

ifeq (.config,$(wildcard .config))
include .config
ifeq (.depend,$(wildcard .depend))
include .depend
do-it-all:	Version vmlinux
else
CONFIGURATION = depend
do-it-all:	depend
endif
else
CONFIGURATION = config
do-it-all:	config
endif

#
# INSTALL_PATH specifies where to place the updated kernel and system map
# images.  Uncomment if you want to place them anywhere other than root.
#

#export	INSTALL_PATH=/boot

#
# INSTALL_MOD_PATH specifies a prefix to MODLIB for module directory
# relocations required by build roots.
#

#INSTALL_MOD_PATH := $(shell \
#	if [ -n "`which hhl-whereami 2> /dev/null`" ] ; then \
#	 if [ -f .hhl_target_installdir ]; then \
#		echo -n "`hhl-whereami`/../../devkit/`cat .hhl_target_installdir`/target"; \
#	 fi \
#	fi)

ifeq ("$(INSTALL_MOD_PATH)","")
INSTALL_MOD_PATH := $(TOPDIR)/release_modules
endif

MODLIB	:= $(INSTALL_MOD_PATH)/lib/modules/$(KERNELRELEASE)
export MODLIB

#
# standard CFLAGS
#

CPPFLAGS := -D__KERNEL__ -I$(HPATH)

CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes -Wno-trigraphs -O2 \
	  -fno-strict-aliasing -fno-common
ifndef CONFIG_FRAME_POINTER
CFLAGS += -fomit-frame-pointer
endif
AFLAGS := -D__ASSEMBLY__ $(CPPFLAGS)

#
# Buffalo Compile option
#
include $(BUILD_CONFIG)
#MODFLAGS      += $(BUFFALO_MODFLAGS)
#CFLAGS        += $(BUFFALO_CFLAGS_KERNEL)
#  CFLAGS        += -DCONFIG_BUFFALO_PLATFORM

#
# ROOT_DEV specifies the default root-device when making the image.
# This can be either FLOPPY, CURRENT, /dev/xxxx or empty, in which case
# the default of FLOPPY is used by 'build'.
# This is i386 specific.
#

export ROOT_DEV = CURRENT

#
# If you want to preset the SVGA mode, uncomment the next line and
# set SVGA_MODE to whatever number you want.
# Set it to -DSVGA_MODE=NORMAL_VGA if you just want the EGA/VGA mode.
# The number is the same as you would ordinarily press at bootup.
# This is i386 specific.
#

export SVGA_MODE = -DSVGA_MODE=NORMAL_VGA

#
# If you want the RAM disk device, define this to be the size in blocks.
# This is i386 specific.
#

#export RAMDISK = -DRAMDISK=512

CORE_FILES	=kernel/kernel.o mm/mm.o fs/fs.o ipc/ipc.o
NETWORKS	=net/network.o
CRYPTO		=crypto/crypto.o

LIBS		=$(TOPDIR)/lib/lib.a
SUBDIRS		=kernel drivers mm fs net ipc lib crypto

DRIVERS-n :=
DRIVERS-y :=
DRIVERS-m :=
DRIVERS-  :=

DRIVERS-$(CONFIG_ACPI) += drivers/acpi/acpi.o
DRIVERS-$(CONFIG_PARPORT) += drivers/parport/driver.o
DRIVERS-$(CONFIG_L3) += drivers/l3/l3.o
DRIVERS-$(CONFIG_SPI) += drivers/spi/spi.o
DRIVERS-y += drivers/char/char.o \
	drivers/block/block.o \
	drivers/misc/misc.o \
	drivers/net/net.o \
	drivers/media/media.o
DRIVERS-$(CONFIG_SERIAL_CORE) += drivers/serial/serial.o
DRIVERS-$(CONFIG_AGP) += drivers/char/agp/agp.o
DRIVERS-$(CONFIG_DRM_NEW) += drivers/char/drm/drm.o
DRIVERS-$(CONFIG_DRM_OLD) += drivers/char/drm-4.0/drm.o
DRIVERS-$(CONFIG_NUBUS) += drivers/nubus/nubus.a
DRIVERS-$(CONFIG_NET_FC) += drivers/net/fc/fc.o
DRIVERS-$(CONFIG_DEV_APPLETALK) += drivers/net/appletalk/appletalk.o
DRIVERS-$(CONFIG_TR) += drivers/net/tokenring/tr.o
DRIVERS-$(CONFIG_WAN) += drivers/net/wan/wan.o
DRIVERS-$(CONFIG_ARCNET) += drivers/net/arcnet/arcnetdrv.o
DRIVERS-$(CONFIG_ATM) += drivers/atm/atm.o
DRIVERS-$(CONFIG_IDE) += drivers/ide/idedriver.o
DRIVERS-$(CONFIG_FC4) += drivers/fc4/fc4.a
DRIVERS-$(CONFIG_SCSI) += drivers/scsi/scsidrv.o
DRIVERS-$(CONFIG_FUSION_BOOT) += drivers/message/fusion/fusion.o
DRIVERS-$(CONFIG_IEEE1394) += drivers/ieee1394/ieee1394drv.o

ifneq ($(CONFIG_CD_NO_IDESCSI)$(CONFIG_BLK_DEV_IDECD)$(CONFIG_BLK_DEV_SR)$(CONFIG_PARIDE_PCD),)
DRIVERS-y += drivers/cdrom/driver.o
endif

DRIVERS-$(CONFIG_SSI) += drivers/ssi/ssi.o
DRIVERS-$(CONFIG_I2C) += drivers/i2c/i2c.o
DRIVERS-$(CONFIG_SOUND) += drivers/sound/sounddrivers.o
DRIVERS-$(CONFIG_PCI) += drivers/pci/driver.o
DRIVERS-$(CONFIG_MTD) += drivers/mtd/mtdlink.o
DRIVERS-$(CONFIG_MMCPXA250) += drivers/mmcpxa250/mmcpxa250.o
DRIVERS-$(CONFIG_PCMCIA) += drivers/pcmcia/pcmcia.o
DRIVERS-$(CONFIG_NET_PCMCIA) += drivers/net/pcmcia/pcmcia_net.o
DRIVERS-$(CONFIG_NET_WIRELESS) += drivers/net/wireless/wireless_net.o
DRIVERS-$(CONFIG_PCMCIA_CHRDEV) += drivers/char/pcmcia/pcmcia_char.o
DRIVERS-$(CONFIG_DIO) += drivers/dio/dio.a
DRIVERS-$(CONFIG_SBUS) += drivers/sbus/sbus_all.o
DRIVERS-$(CONFIG_ZORRO) += drivers/zorro/driver.o
DRIVERS-$(CONFIG_FC4) += drivers/fc4/fc4.a
DRIVERS-$(CONFIG_PPC32) += drivers/macintosh/macintosh.o
DRIVERS-$(CONFIG_MAC) += drivers/macintosh/macintosh.o
DRIVERS-$(CONFIG_ISAPNP) += drivers/pnp/pnp.o
DRIVERS-$(CONFIG_SGI_IP22) += drivers/sgi/sgi.a
DRIVERS-$(CONFIG_VT) += drivers/video/video.o
DRIVERS-$(CONFIG_PARIDE) += drivers/block/paride/paride.a
DRIVERS-$(CONFIG_HAMRADIO) += drivers/net/hamradio/hamradio.o
DRIVERS-$(CONFIG_TC) += drivers/tc/tc.a
## buffalo chaned
ifneq ($(CONFIG_NEW_USB),y)
  DRIVERS-$(CONFIG_USB) += drivers/usb/usbdrv.o
  DRIVERS-$(CONFIG_USBD) += drivers/usb/device/usbd_drv.o
else
  DRIVERS-$(CONFIG_USB) += drivers/usb_new/usbdrv.o
endif
DRIVERS-$(CONFIG_INPUT) += drivers/input/inputdrv.o
DRIVERS-$(CONFIG_HIL) += drivers/hil/hil.o
DRIVERS-$(CONFIG_I2O) += drivers/message/i2o/i2o.o
DRIVERS-$(CONFIG_IRDA) += drivers/net/irda/irda.o
DRIVERS-$(CONFIG_PHONE) += drivers/telephony/telephony.o
DRIVERS-$(CONFIG_MD) += drivers/md/mddev.o
DRIVERS-$(CONFIG_GSC) += drivers/gsc/gscbus.o
DRIVERS-$(CONFIG_BLUEZ) += drivers/bluetooth/bluetooth.o
DRIVERS-$(CONFIG_HOTPLUG_PCI) += drivers/hotplug/vmlinux-obj.o
DRIVERS-$(CONFIG_ISDN_BOOL) += drivers/isdn/vmlinux-obj.o
DRIVERS-$(CONFIG_MAPLE) += drivers/maple/maplebus.o
DRIVERS-$(CONFIG_TRACE) += drivers/trace/trace_driver.o
DRIVERS-$(CONFIG_VMEBUS) += drivers/vme/vme.o
DRIVERS-$(CONFIG_SENSORS) += drivers/sensors/sensor.o
DRIVERS-$(CONFIG_PLD) += drivers/pld/pld.o

DRIVERS := $(DRIVERS-y)


# files removed with 'make clean'
CLEAN_FILES = \
	kernel/ksyms.lst include/linux/compile.h \
	vmlinux System.map \
	kernel/ikconfig.h \
	$(TMPPREFIX).tmp* \
	drivers/char/consolemap_deftbl.c drivers/video/promcon_tbl.c \
	drivers/char/conmakehash \
	drivers/char/drm/*-mod.c \
	drivers/pci/devlist.h drivers/pci/classlist.h drivers/pci/gen-devlist \
	drivers/zorro/devlist.h drivers/zorro/gen-devlist \
	drivers/sound/bin2hex drivers/sound/hex2hex \
	drivers/atm/fore200e_mkfirm drivers/atm/{pca,sba}*{.bin,.bin1,.bin2} \
	drivers/scsi/aic7xxx/aicasm/aicasm \
	drivers/scsi/aic7xxx/aicasm/aicasm_gram.c \
	drivers/scsi/aic7xxx/aicasm/aicasm_gram.h \
	drivers/scsi/aic7xxx/aicasm/aicasm_macro_gram.c \
	drivers/scsi/aic7xxx/aicasm/aicasm_macro_gram.h \
	drivers/scsi/aic7xxx/aicasm/aicasm_macro_scan.c \
	drivers/scsi/aic7xxx/aicasm/aicasm_scan.c \
	drivers/scsi/aic7xxx/aicasm/aicdb.h \
	drivers/scsi/aic7xxx/aicasm/y.tab.h \
	drivers/scsi/53c700_d.h \
	net/khttpd/make_times_h \
	net/khttpd/times.h \
	submenu*
# directories removed with 'make clean'
CLEAN_DIRS = \
	modules

# files removed with 'make mrproper'
MRPROPER_FILES = \
	include/linux/autoconf.h include/linux/version.h \
	drivers/net/hamradio/soundmodem/sm_tbl_{afsk1200,afsk2666,fsk9600}.h \
	drivers/net/hamradio/soundmodem/sm_tbl_{hapn4800,psk4800}.h \
	drivers/net/hamradio/soundmodem/sm_tbl_{afsk2400_7,afsk2400_8}.h \
	drivers/net/hamradio/soundmodem/gentbl \
	drivers/sound/*_boot.h drivers/sound/.*.boot \
	drivers/sound/msndinit.c \
	drivers/sound/msndperm.c \
	drivers/sound/pndsperm.c \
	drivers/sound/pndspini.c \
	drivers/atm/fore200e_*_fw.c drivers/atm/.fore200e_*.fw \
	.version .config* config.in config.old \
	scripts/tkparse scripts/kconfig.tk scripts/kconfig.tmp \
	scripts/lxdialog/*.o scripts/lxdialog/lxdialog \
	.menuconfig.log \
	include/asm \
	.hdepend scripts/mkdep scripts/split-include scripts/docproc \
	$(TOPDIR)/include/linux/modversions.h \
	kernel/ikconfig.h \
	kernel.spec

# directories removed with 'make mrproper'
MRPROPER_DIRS = \
	include/config \
	$(TOPDIR)/include/linux/modules


include arch/$(ARCH)/Makefile

# Optional cflags for kbuild 2.4, to prevent individual files or an entire
# directory including files from outside the kernel.  To control an individual
# file, use CFLAGS_foo.o += $(kbuild_2_4_nostdinc), to control an entire
# directory use EXTRA_CFLAGS += $(kbuild_2_4_nostdinc).  In kbuild 2.5 the
# default is to forbid includes from outside the kernel tree, you can use this
# variable in kbuild 2.4 to ensure that your code is clean before 2.5.  KAO.

kbuild_2_4_nostdinc     := -nostdinc $(shell $(CC) -print-search-dirs | sed -ne 's/install: \(.*\)/-I \1include/gp')
export kbuild_2_4_nostdinc

# Extra cflags for kbuild 2.4.  The default is to forbid includes by kernel code
# from user space headers.  Some UML code requires user space headers, in the
# UML Makefiles add 'kbuild_2_4_nostdinc :=' before include Rules.make.  No
# other kernel code should include user space headers, if you need
# 'kbuild_2_4_nostdinc :=' or -I/usr/include for kernel code and you are not UML
# then your code is broken!  KAO.

kbuild_2_4_nostdinc	:= -nostdinc -iwithprefix include
export kbuild_2_4_nostdinc

export	CPPFLAGS CFLAGS CFLAGS_KERNEL AFLAGS AFLAGS_KERNEL

export	NETWORKS CRYPTO DRIVERS LIBS HEAD LDFLAGS LINKFLAGS MAKEBOOT ASFLAGS

.S.s:
	$(CPP) $(AFLAGS) $(AFLAGS_KERNEL) -traditional -o $*.s $<
.S.o:
	$(CC) $(AFLAGS) $(AFLAGS_KERNEL) -traditional -c -o $*.o $<

Version: dummy
	@rm -f include/linux/compile.h

boot: vmlinux
	@$(MAKE) CFLAGS="$(CFLAGS) $(CFLAGS_KERNEL)" -C arch/$(ARCH)/boot

vmlinux: include/linux/version.h $(CONFIGURATION) init/main.o init/version.o init/do_mounts.o linuxsubdirs
	$(LD) $(LINKFLAGS) $(HEAD) init/main.o init/version.o init/do_mounts.o \
		--start-group \
		$(CORE_FILES) \
		$(DRIVERS) \
		$(NETWORKS) \
		$(CRYPTO) \
		$(LIBS) \
		--end-group \
		-o vmlinux
	$(NM) vmlinux | grep -v '\(compiled\)\|\(\.o$$\)\|\( [aUw] \)\|\(\.\.ng$$\)\|\(LASH[RL]DI\)' | sort > System.map

symlinks:
	rm -f include/asm
	( cd include ; ln -sf asm-$(ARCH) asm)

=== drivers/Makefile ===
#
# Makefile for the Linux kernel device drivers.
#
# 15 Sep 2000, Christoph Hellwig <hch@infradead.org>
# Rewritten to use lists instead of if-statements.
#


mod-subdirs :=	dio hil mtd sbus video macintosh usb input telephony sgi ide \
		message/i2o message/fusion scsi md ieee1394 pnp isdn atm \
		fc4 net/hamradio i2c l3 acpi bluetooth serial maple vme \
		sensors usb/device
mod-subdirs +=	spi mmc

subdir-y :=	parport char block net sound misc media cdrom hotplug
subdir-m :=	$(subdir-y)


subdir-$(CONFIG_DIO)		+= dio
subdir-$(CONFIG_PCI)		+= pci
subdir-$(CONFIG_GSC)		+= gsc
subdir-$(CONFIG_HIL)		+= hil
subdir-$(CONFIG_PCMCIA)		+= pcmcia
subdir-$(CONFIG_MTD)		+= mtd
subdir-$(CONFIG_SBUS)		+= sbus
subdir-$(CONFIG_ZORRO)		+= zorro
subdir-$(CONFIG_NUBUS)		+= nubus
subdir-$(CONFIG_TC)		+= tc
subdir-$(CONFIG_VT)		+= video
subdir-$(CONFIG_MAC)		+= macintosh
subdir-$(CONFIG_PPC32)		+= macintosh
## BUFFALO changed usb modules
ifneq ($(CONFIG_NEW_USB),y)
  subdir-$(CONFIG_USB)		+= usb
  subdir-$(CONFIG_USBD)           += usb/device
else
  subdir-$(CONFIG_USB)		+= usb_new
endif
subdir-$(CONFIG_INPUT)		+= input
subdir-$(CONFIG_PHONE)		+= telephony
subdir-$(CONFIG_SGI)		+= sgi
subdir-$(CONFIG_IDE)		+= ide
subdir-$(CONFIG_SCSI)		+= scsi
subdir-$(CONFIG_I2O)		+= message/i2o
subdir-$(CONFIG_FUSION)		+= message/fusion
subdir-$(CONFIG_MD)		+= md
subdir-$(CONFIG_IEEE1394)	+= ieee1394
subdir-$(CONFIG_PNP)		+= pnp
subdir-$(CONFIG_ISDN_BOOL)	+= isdn
subdir-$(CONFIG_ATM)		+= atm
subdir-$(CONFIG_FC4)		+= fc4
subdir-$(CONFIG_TRACE)		+= trace

# CONFIG_HAMRADIO can be set without CONFIG_NETDEVICE being set  -- ch
subdir-$(CONFIG_HAMRADIO)	+= net/hamradio
subdir-$(CONFIG_SERIAL_CORE)	+= serial
subdir-$(CONFIG_I2C)		+= i2c
subdir-$(CONFIG_SENSORS) 	+= sensors
subdir-$(CONFIG_L3)		+= l3
subdir-$(CONFIG_SPI)		+= spi
subdir-$(CONFIG_ACPI)		+= acpi

subdir-$(CONFIG_BLUEZ)		+= bluetooth
subdir-$(CONFIG_MMC)		+= mmc
subdir-$(CONFIG_MMCPXA250)	+= mmcpxa250
subdir-$(CONFIG_SSI)		+= ssi
subdir-$(CONFIG_MAPLE)		+= maple
subdir-$(CONFIG_VMEBUS)		+= vme
subdir-$(CONFIG_ARCH_CAMELOT)   += pld

include $(TOPDIR)/Rules.make

=== fdisk/Makefile ===
# Makefile -- Makefile for util-linux Linux utilities
# Created: Sat Dec 26 20:09:40 1992
# Revised: Fri Oct  6 21:02:21 1995 by r.faith@ieee.org
# Copyright 1992, 1993, 1994, 1995 Rickard E. Faith (faith@cs.unc.edu)
#
include ../make_include
include ../MCONFIG

MAN8=
SBIN=
CFDISK=cfdisk
NOTMADE=

ifneq "$(HAVE_SLANG)" "yes"
ifneq "$(HAVE_NCURSES)" "yes"
CFDISK=
NOTMADE=cfdisk
endif
endif

ifeq "$(ARCH)" "m68k"
# It seems the m68k people do not want *fdisk
else
SBIN:=$(SBIN) fdisk mfdisk
MAN8:=$(MAN8) fdisk.8

ifneq "$(ARCH)" "sparc"
SBIN:=$(SBIN) $(CFDISK) sfdisk
MAN8:=$(MAN8) cfdisk.8 sfdisk.8
endif
endif

all: $(SBIN) $(NOTMADE)

cfdisk.o: cfdisk.c
ifeq "$(HAVE_SLANG)" "yes"
	$(CC) -c $(CFLAGS) -DSLCURSES=1 $< -o $@
else
ifeq "$(HAVE_NCURSES)" "yes"
	$(CC) -c $(CFLAGS) $< -o $@
else
	:
endif
endif

cfdisk: cfdisk.o llseek.o i386_sys_types.o $(LIB)/xstrncpy.o
ifeq "$(HAVE_SLANG)" "yes"
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBSLANG)
else
ifeq "$(HAVE_NCURSES)" "yes"
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBCURSES)
else
	@echo $@ not made since it requires ncurses or slang
endif
endif

# not installed by default
activate: sfdisk
	rm -f activate
	ln -s sfdisk activate

mfdisk: mfdisk.o llseek.o fdiskbsdlabel.o fdisksgilabel.o fdisksunlabel.o \
	fdiskaixlabel.o i386_sys_types.o partname.o ../mount/mfdisk_fstype.o
mfdisk.o: mfdisk.c fdisk.h
mfdisk_fstype.o: ../mount/mfdisk_fstype.c

fdisk: fdisk.o llseek.o fdiskbsdlabel.o fdisksgilabel.o fdisksunlabel.o \
	fdiskaixlabel.o i386_sys_types.o partname.o
fdisk.o: fdisk.c fdisk.h
fdiskbsdlabel.o: fdiskbsdlabel.c fdisk.h fdiskbsdlabel.h
fdisksunlabel.o: fdisksunlabel.c fdisksunlabel.h fdisk.h
fdiskaixlabel.o: fdiskaixlabel.c fdiskaixlabel.h fdisk.h
fdisk.o cfdisk.o sfdisk.o fdiskbsdlabel.o fdisksunlabel.o \
	fdisksgilabel.o fdiskaixlabel.o i386_sys_types.o partname.o: common.h
sfdisk: sfdisk.o i386_sys_types.o partname.o

install: all
	$(INSTALLDIR) $(SBINDIR)
	$(INSTALLBIN) $(SBIN) $(SBINDIR)
	$(INSTALLDIR) $(MAN8DIR)
	$(INSTALLMAN) $(MAN8) $(MAN8DIR)

.PHONY:	clean
clean:
	-rm -f *.o *~ core $(SBIN)

=== fs/Makefile ===
#
# Makefile for the Linux filesystems.
#
# 14 Sep 2000, Christoph Hellwig <hch@infradead.org>
# Rewritten to use lists instead of if-statements.
# 

O_TARGET := fs.o

export-objs :=	filesystems.o open.o dcache.o buffer.o dquot.o
mod-subdirs :=	nls xfs

obj-y :=	open.o read_write.o devices.o file_table.o buffer.o \
		super.o block_dev.o char_dev.o stat.o exec.o pipe.o namei.o \
		fcntl.o ioctl.o readdir.o select.o fifo.o locks.o \
		dcache.o inode.o attr.o bad_inode.o file.o iobuf.o dnotify.o \
		filesystems.o namespace.o seq_file.o xattr.o quota.o

obj-$(CONFIG_QUOTA)		+= dquot.o
obj-$(CONFIG_QFMT_V1) += quota_v1.o
obj-$(CONFIG_QFMT_V2) += quota_v2.o

subdir-$(CONFIG_PROC_FS)	+= proc
subdir-y			+= partitions

# Do not add any filesystems before this line
subdir-$(CONFIG_EXT3_FS)	+= ext3    # Before ext2 so root fs can be ext3
subdir-$(CONFIG_JBD)		+= jbd
subdir-$(CONFIG_EXT2_FS)	+= ext2
subdir-$(CONFIG_CRAMFS)		+= cramfs
subdir-$(CONFIG_RAMFS)		+= ramfs
subdir-$(CONFIG_CODA_FS)	+= coda
subdir-$(CONFIG_INTERMEZZO_FS)	+= intermezzo
subdir-$(CONFIG_MINIX_FS)	+= minix
subdir-$(CONFIG_FAT_FS)		+= fat
subdir-$(CONFIG_UMSDOS_FS)	+= umsdos
subdir-$(CONFIG_MSDOS_FS)	+= msdos
subdir-$(CONFIG_VFAT_FS)	+= vfat
subdir-$(CONFIG_BFS_FS)		+= bfs
subdir-$(CONFIG_ISO9660_FS)	+= isofs
subdir-$(CONFIG_DEVFS_FS)	+= devfs
subdir-$(CONFIG_HFS_FS)		+= hfs
subdir-$(CONFIG_VXFS_FS)	+= freevxfs
subdir-$(CONFIG_NFS_FS)		+= nfs
subdir-$(CONFIG_NFSD)		+= nfsd
subdir-$(CONFIG_LOCKD)		+= lockd
subdir-$(CONFIG_NLS)		+= nls
subdir-$(CONFIG_SYSV_FS)	+= sysv
subdir-$(CONFIG_SMB_FS)		+= smbfs
subdir-$(CONFIG_NCP_FS)		+= ncpfs
subdir-$(CONFIG_HPFS_FS)	+= hpfs
subdir-$(CONFIG_NTFS_FS)	+= ntfs
subdir-$(CONFIG_UFS_FS)		+= ufs
subdir-$(CONFIG_EFS_FS)		+= efs
subdir-$(CONFIG_JFFS_FS)	+= jffs
subdir-$(CONFIG_JFFS2_FS)	+= jffs2
subdir-$(CONFIG_AFFS_FS)	+= affs
subdir-$(CONFIG_ROMFS_FS)	+= romfs
subdir-$(CONFIG_QNX4FS_FS)	+= qnx4
subdir-$(CONFIG_UDF_FS)		+= udf
subdir-$(CONFIG_AUTOFS_FS)	+= autofs
subdir-$(CONFIG_AUTOFS4_FS)	+= autofs4
subdir-$(CONFIG_ADFS_FS)	+= adfs
subdir-$(CONFIG_REISERFS_FS)	+= reiserfs
subdir-$(CONFIG_DEVPTS_FS)	+= devpts
subdir-$(CONFIG_SUN_OPENPROMFS)	+= openpromfs
subdir-$(CONFIG_BEFS_FS)	+= befs
subdir-$(CONFIG_JFS_FS)		+= jfs

subdir-$(CONFIG_XFS_FS)		+= xfs

obj-$(CONFIG_BINFMT_AOUT)	+= binfmt_aout.o
obj-$(CONFIG_BINFMT_EM86)	+= binfmt_em86.o
obj-$(CONFIG_BINFMT_MISC)	+= binfmt_misc.o

# binfmt_script is always there
obj-y				+= binfmt_script.o

obj-$(CONFIG_BINFMT_ELF)	+= binfmt_elf.o

# persistent filesystems
obj-y += $(join $(subdir-y),$(subdir-y:%=/%.o))


include $(TOPDIR)/Rules.make

=== ipc/Makefile ===
#
# Makefile for the linux ipc.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definition is now in the main makefile...

O_TARGET := ipc.o

obj-y   := util.o

obj-$(CONFIG_SYSVIPC) += msg.o sem.o shm.o
obj-$(CONFIG_POSIX_MQUEUE_FS) += mqueue.o

include $(TOPDIR)/Rules.make

=== kernel/Makefile ===
#
# Makefile for the linux kernel.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definitions are now in the main makefile...

O_TARGET := kernel.o

export-objs = signal.o sys.o kmod.o context.o ksyms.o pm.o exec_domain.o \
	      printk.o cpufreq.o trace.o 

obj-y     = sched.o fork.o exec_domain.o panic.o printk.o \
	    module.o exit.o itimer.o info.o time.o softirq.o resource.o \
	    sysctl.o acct.o capability.o ptrace.o timer.o user.o \
	    signal.o sys.o kmod.o context.o posix-timers.o lspinfo.o 

obj-$(CONFIG_GENERIC_ISA_DMA) += dma.o
obj-$(CONFIG_UID16) += uid16.o
obj-$(CONFIG_MODULES) += ksyms.o
obj-$(CONFIG_PM) += pm.o
obj-$(CONFIG_CPU_FREQ) += cpufreq.o
obj-$(CONFIG_PREEMPT_TIMES) += preem_latency.o
obj-$(CONFIG_ILATENCY) += ilatcurve.o imaxoff.o
obj-$(CONFIG_IKCONFIG) += configs.o


ifdef CONFIG_TRACE
obj-y += trace.o
endif

ifneq ($(CONFIG_IA64),y)
# According to Alan Modra <alan@linuxcare.com.au>, the -fno-omit-frame-pointer is
# needed for x86 only.  Why this used to be enabled for all architectures is beyond
# me.  I suspect most platforms don't need this, but until we know that for sure
# I turn this off for IA-64 only.  Andreas Schwab says it's also needed on m68k
# to get a correct value for the wait-channel (WCHAN in ps). --davidm
CFLAGS_sched.o := $(PROFILING) -fno-omit-frame-pointer
endif

include $(TOPDIR)/Rules.make

ikconfig.h: $(TOPDIR)/scripts/mkconfigs $(TOPDIR)/.config $(TOPDIR)/Makefile
	$(CONFIG_SHELL) $(TOPDIR)/scripts/mkconfigs $(TOPDIR)/.config $(TOPDIR)/Makefile > ikconfig.h

configs.o: ikconfig.h configs.c \
		$(TOPDIR)/include/linux/version.h $(TOPDIR)/include/linux/compile.h

=== lib/Makefile ===
CC=gcc


top_srcdir=..
srcdir=.


include ../Make.rules

AR=ar
LIB_DEPS=""
LIB_OBJS=pr_fnmatch.o sstrncpy.o strsep.o vsnprintf.o glibc-glob.o glibc-hstrerror.o glibc-mkstemp.o pr-syslog.o pwgrent.o getopt.o getopt1.o
RANLIB=ranlib

"":

dummy:

all:
	@echo "Running make from top level directory."
	cd ../ && $(MAKE) all

Makefile: Makefile.in ../config.status
	cd ../ && ./config.status


.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<

libltdl: dummy
	cd libltdl/ && $(MAKE)

libsupp.a: $(LIB_OBJS)
	$(AR) rc libsupp.a $(LIB_OBJS)
	$(RANLIB) libsupp.a

lib: libsupp.a $(LIB_DEPS)

clean:
	rm -f *.o libsupp.a
	test -z $(LIB_DEPS) || (cd libltdl/ && $(MAKE) clean)

depend:
	makedepend $(CPPFLAGS) -Y *.c 2>/dev/null
	makedepend $(CPPFLAGS) -Y -fMakefile.in *.c 2>/dev/null

distclean:
	test -z $(LIB_DEPS) || (cd libltdl/ && $(MAKE) distclean)

# Dependancies written below
# DO NOT DELETE

getopt.o: ../config.h getopt.h
getopt1.o: ../config.h getopt.h
glibc-glob.o: ../config.h ../include/options.h ../include/glibc-glob.h
glibc-hstrerror.o: ../include/conf.h ../include/version.h ../config.h
glibc-hstrerror.o: ../include/default_paths.h ../include/options.h
glibc-hstrerror.o: ../include/libsupp.h ../include/glibc-glob.h
glibc-mkstemp.o: ../include/conf.h ../include/version.h ../config.h
glibc-mkstemp.o: ../include/default_paths.h ../include/options.h
glibc-mkstemp.o: ../include/libsupp.h ../include/glibc-glob.h
pr-syslog.o: ../include/conf.h ../include/version.h ../config.h
pr-syslog.o: ../include/default_paths.h ../include/options.h
pr_fnmatch.o: ../include/conf.h ../include/version.h ../config.h
pr_fnmatch.o: ../include/default_paths.h ../include/options.h
pr_fnmatch.o: ../include/libsupp.h ../include/glibc-glob.h pr_fnmatch_loop.c
pwgrent.o: ../include/conf.h ../include/version.h ../config.h
pwgrent.o: ../include/default_paths.h ../include/options.h
sstrncpy.o: ../include/conf.h ../include/version.h ../config.h
sstrncpy.o: ../include/default_paths.h ../include/options.h
strsep.o: ../include/conf.h ../include/version.h ../config.h
strsep.o: ../include/default_paths.h ../include/options.h
strsep.o: ../include/libsupp.h ../include/glibc-glob.h
vsnprintf.o: ../include/conf.h ../include/version.h ../config.h
vsnprintf.o: ../include/default_paths.h ../include/options.h
vsnprintf.o: ../include/libsupp.h ../include/glibc-glob.h

=== login-utils/Makefile ===
# Makefile -- Makefile for util-linux Linux utilities
# Created: Sat Dec 26 20:09:40 1992
# Revised: Sun Nov 10 20:28:43 1996 by faith@cs.unc.edu
# Copyright 1992, 1993, 1994, 1995 Rickard E. Faith (faith@cs.unc.edu)
#
# Suggested changes from Bauke Jan Douma <bjdouma@xs4all.nl> have been
# implemented to handle shadow and sysvinit systems 

include ../make_include
include ../MCONFIG

# Where to put man pages?

MAN1.MISC=	last.1 mesg.1 wall.1

MAN1.PUTILS= 	chfn.1 chsh.1 login.1 newgrp.1
MAN1.PASSWD=    passwd.1

MAN8.GETTY=	agetty.8

MAN8.INIT=	fastboot.8 fasthalt.8 halt.8 reboot.8 simpleinit.8 shutdown.8 \
		initctl.8

MAN8.PUTILS=	vipw.8 vigr.8

# Where to put binaries?
# See the "install" rule for the links. . .

SBIN.GETTY=	agetty

SBIN.INIT=	simpleinit shutdown initctl

BIN.PUTILS=	login

USRBIN.MISC=	last mesg wall

USRBIN.PUTILS=	chfn chsh newgrp
USRBIN.PASSWD=	passwd

USRSBIN.PUTILS=	vipw

ifeq "$(NEED_LIBCRYPT)" "yes"
CRYPT=-lcrypt
endif

ifeq "$(HAVE_PAM)" "yes"
PAM=-lpam -ldl -lpam_misc
PAMFL=-DUSE_PAM=1
endif

ifeq "$(HAVE_SHADOW)" "no"
ifeq "$(HAVE_PAM)" "no"
ifeq "$(HAVE_PASSWD)" "no"
WHAT_TO_BUILD:=$(WHAT_TO_BUILD) all-passwd all-putils
WHAT_TO_INSTALL:=$(WHAT_TO_INSTALL) install-passwd install-putils
endif
else
WHAT_TO_BUILD:=$(WHAT_TO_BUILD) all-putils
WHAT_TO_INSTALL:=$(WHAT_TO_INSTALL) install-putils
endif
endif

ifeq "$(HAVE_SYSVINIT)" "no"
WHAT_TO_BUILD:=$(WHAT_TO_BUILD) all-init
WHAT_TO_INSTALL:=$(WHAT_TO_INSTALL) install-init
endif

ifeq "$(HAVE_SYSVINIT_UTILS)" "no"
WHAT_TO_BUILD:=$(WHAT_TO_BUILD) all-misc
WHAT_TO_INSTALL:=$(WHAT_TO_INSTALL) install-misc
endif

ifeq "$(HAVE_GETTY)" "no"
WHAT_TO_BUILD:=$(WHAT_TO_BUILD) all-getty
WHAT_TO_INSTALL:=$(WHAT_TO_INSTALL) install-getty
endif

all: $(WHAT_TO_BUILD)
all-passwd: $(USRBIN.PASSWD)
all-putils: $(BIN.PUTILS) $(USRBIN.PUTILS) $(USRSBIN.PUTILS)
all-init: $(SBIN.INIT)
all-getty: $(SBIN.GETTY)
all-misc: $(USRBIN.MISC)

# Rules for everything else
login.o: ../MCONFIG
checktty.o login.o: login.h
cryptocard.o login.o: cryptocard.h
chfn.o chsh.o islocal.o passwd.o: islocal.h
chfn.o chsh.o passwd.o setpwnam.o vipw.o: setpwnam.h
chfn.o chsh.o login.o newgrp.o passwd.o simpleinit.o: my_crypt.h
initctl.o simpleinit.o: simpleinit.h
agetty.o islocal.o last.o setpwnam.o shutdown.o simpleinit.o \
	vipw.o: $(LIB)/pathnames.h
shutdown.o simpleinit.o: $(LIB)/linux_reboot.h
wall.o: ttymsg.h $(LIB)/carefulputc.h

agetty: agetty.o
chfn: chfn.o islocal.o setpwnam.o $(LIB)/env.o $(LIB)/xstrncpy.o
	$(CC) $(LDFLAGS) -o $@ $^ $(CRYPT) $(PAM)
chsh: chsh.o islocal.o setpwnam.o $(LIB)/env.o
	$(CC) $(LDFLAGS) -o $@ $^ $(CRYPT) $(PAM)
last: last.o

ifeq "$(HAVE_PAM)" "yes"
login: login.o $(LIB)/setproctitle.o $(LIB)/xstrncpy.o
	$(CC) $(LDFLAGS) -o $@ $^ $(CRYPT) $(PAM)
else
login: login.o $(LIB)/xstrncpy.o $(LIB)/setproctitle.o checktty.o 
	$(CC) $(LDFLAGS) -o $@ $^ $(CRYPT) 
endif

mesg: mesg.o $(ERR_O)

newgrp: newgrp.o 
	$(CC) $(LDFLAGS) -o $@ $^ $(CRYPT) $(PAM)

shutdown: shutdown.o $(LIB)/my_reboot.o $(LIB)/xstrncpy.o

simpleinit: simpleinit.o $(LIB)/my_reboot.o $(LIB)/xstrncpy.o
	$(CC) $(LDFLAGS) -o $@ $^ $(CRYPT)

initctl: initctl.o
	$(CC) $(LDFLAGS) -o $@ $^

vipw: vipw.o $(LIB)/xstrncpy.o

newgrp.o: $(LIB)/pathnames.h
	$(CC) -c $(CFLAGS) $(PAMFL) newgrp.c 

wall: wall.o ttymsg.o $(LIB)/carefulputc.o $(LIB)/xstrncpy.o

LOGINFLAGS=
ifeq "$(USE_TTY_GROUP)" "yes"
	LOGINFLAGS += -DUSE_TTY_GROUP
endif
ifeq "$(ALLOW_VCS_USE)" "yes"
	LOGINFLAGS += -DCHOWNVCS
endif

login.o: login.c $(LIB)/pathnames.h $(LIB)/setproctitle.c $(LIB)/setproctitle.h
	$(CC) -c $(CFLAGS) $(PAMFL) $(LOGINFLAGS) login.c

# LOGINFLAGS here only for -DUSE_TTY_GROUP
mesg.o: mesg.c $(LIB)/errs.h
	$(CC) -c $(CFLAGS) $(LOGINFLAGS) mesg.c

passwd: passwd.o islocal.o setpwnam.o $(LIB)/env.o $(LIB)/xstrncpy.o
	$(CC) $(LDFLAGS) -o $@ $^ $(CRYPT)

ifeq "$(REQUIRE_PASSWORD)" "yes"
CHSH_FLAGS:=$(CHSH_FLAGS) -DREQUIRE_PASSWORD
endif

ifeq "$(ONLY_LISTED_SHELLS)" "yes"
CHSH_FLAGS:=$(CHSH_FLAGS) -DONLY_LISTED_SHELLS
endif

chsh.o: chsh.c
	$(CC) -c $(CFLAGS) $(PAMFL) $(CHSH_FLAGS) chsh.c

chfn.o: chfn.c
	$(CC) -c $(CFLAGS) $(PAMFL) $(CHSH_FLAGS) chfn.c

install: all $(WHAT_TO_INSTALL)

install-putils: $(BIN.PUTILS) $(USRBIN.PUTILS) $(USRSBIN.PUTILS)
	$(INSTALLDIR) $(BINDIR) $(USRBINDIR) $(USRSBINDIR)
	$(INSTALLBIN) $(BIN.PUTILS) $(BINDIR)
	$(INSTALLSUID) $(USRBIN.PUTILS) $(USRBINDIR)
	$(INSTALLBIN) $(USRSBIN.PUTILS) $(USRSBINDIR)
	(cd $(USRSBINDIR); ln -sf vipw vigr)
	$(INSTALLDIR) $(MAN1DIR) $(MAN8DIR)
	$(INSTALLMAN) $(MAN1.PUTILS) $(MAN1DIR)
	$(INSTALLMAN) $(MAN8.PUTILS) $(MAN8DIR)

install-passwd: $(USRBIN.PASSWD)
	$(INSTALLDIR) $(USRBINDIR)
	$(INSTALLSUID) $(USRBIN.PASSWD) $(USRBINDIR)
	$(INSTALLDIR) $(MAN1DIR)
	$(INSTALLMAN) $(MAN1.PASSWD) $(MAN1DIR)

install-init: $(SBIN.INIT)
	$(INSTALLDIR) $(SBINDIR)
	$(INSTALLBIN) $(SBIN.INIT) $(SBINDIR)
	$(INSTALLDIR) $(MAN8DIR)
	$(INSTALLMAN) $(MAN8.INIT) $(MAN8DIR)
	# Make *relative* links for these
	(cd $(SHUTDOWNDIR); ln -sf shutdown reboot)
	(cd $(SHUTDOWNDIR); ln -sf shutdown fastboot)
	(cd $(SHUTDOWNDIR); ln -sf shutdown halt)
	(cd $(SHUTDOWNDIR); ln -sf shutdown fasthalt)
	(cd $(SHUTDOWNDIR); ln -sf initctl need)
	(cd $(SHUTDOWNDIR); ln -sf initctl display-services)
	(cd $(SHUTDOWNDIR); ln -sf initctl provide)
	(cd $(MAN8DIR);     ln -sf initctl.8 need.8)
	(cd $(MAN8DIR);     ln -sf initctl.8 display-services.8)
	(cd $(MAN8DIR);     ln -sf initctl.8 provide.8)


install-getty: $(SBIN.GETTY)
	$(INSTALLDIR) $(SBINDIR)
	$(INSTALLBIN) $(SBIN.GETTY) $(SBINDIR)
	$(INSTALLDIR) $(MAN8DIR)
	$(INSTALLMAN) $(MAN8.GETTY) $(MAN8DIR)

install-misc: $(USRBIN.MISC)
	$(INSTALLDIR) $(USRBINDIR)
	$(INSTALLBIN) $(USRBIN.MISC) $(USRBINDIR)
	$(INSTALLDIR) $(MAN1DIR)
	$(INSTALLMAN) $(MAN1.MISC) $(MAN1DIR)
ifeq "$(USE_TTY_GROUP)" "yes"
	chgrp tty $(USRBINDIR)/wall
	chmod g+s $(USRBINDIR)/wall
endif

.PHONY: clean distclean
clean distclean:
	-rm -f *.o *~ core $(BIN.PASSWD) $(SBIN.GETTY) $(SBIN.INIT) \
		$(USRBIN.MISC) $(USRBIN.PASSWD) $(USRBIN.PUTILS) \
		$(USRSBIN.PUTILS) $(BIN.PUTILS)

=== misc-utils/Makefile ===
# Makefile -- Makefile for util-linux Linux utilities
# Created: Sat Dec 26 20:09:40 1992
# Revised: Mon Nov 11 10:12:16 1996 by faith@cs.unc.edu
# Copyright 1992, 1993, 1994, 1995 Rickard E. Faith (faith@cs.unc.edu)
# May be distirbuted under the GPL
#
include ../make_include
include ../MCONFIG

# Where to put man pages?

MAN1= 		cal.1 chkdupexe.1 ddate.1 kill.1 \
		logger.1 look.1 mcookie.1 namei.1 rename.1 script.1 \
		whereis.1

MAN6=		banner.6

# Where to put binaries?
# See the "install" rule for the links. . .

BIN=            kill

USRBIN=		cal chkdupexe ddate logger look mcookie \
		namei rename script whereis

USRGAMES=	banner

MAYBE=		reset setterm

ifeq "$(HAVE_RESET)" "no"
USRBIN:=$(USRBIN) reset
MAN1:=$(MAN1) reset.1
endif

ifeq "$(HAVE_WRITE)" "no"
USRBIN:=$(USRBIN) write
MAN1:=$(MAN1) write.1
endif

ifeq "$(HAVE_NCURSES)" "yes"
USRBIN:=$(USRBIN) setterm
MAN1:=$(MAN1) setterm.1
endif

# For script only
LIBPTY=
ifeq "$(HAVE_OPENPTY)" "yes"
LIBPTY:=$(LIBPTY) -lutil
endif

# Programs requiring special compilation

NEEDS_CURSES=  setterm
NEEDS_OPENPTY= script

all: $(BIN) $(USRBIN) $(USRBIN.NONSHADOW) $(USRGAMES) 

$(NEEDS_CURSES):
ifeq "$(HAVE_NCURSES)" "yes"
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBCURSES)
else
	@echo $@ not made since it requires ncurses
endif

$(NEEDS_OPENPTY):
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBPTY)

%: %.sh
	cp $@.sh $@
	chmod 755 $@

%: %.pl
	cp $@.pl $@
	chmod 755 $@

# Rules for everything else

banner.o: $(LIB)/errs.h
banner: banner.o $(ERR_O)
cal.o: $(LIB)/errs.h
cal: cal.o $(ERR_O)
chkdupexe: chkdupexe.pl
ddate: ddate.o
kill: kill.o procs.o
logger: logger.o
mcookie: mcookie.o md5.o
mcookie.o: mcookie.c md5.h
md5.o: md5.c md5.h
reset: reset.sh
script: script.o
write.o: $(LIB)/carefulputc.h
write: write.o $(LIB)/carefulputc.o

ifeq "$(HAVE_NCURSES)" "yes"
setterm: setterm.o
endif

install: all
	$(INSTALLDIR) $(BINDIR) $(USRBINDIR) $(USRGAMESDIR)
	$(INSTALLBIN) $(BIN) $(BINDIR)
	$(INSTALLBIN) $(USRBIN) $(USRBINDIR)
	$(INSTALLBIN) $(USRGAMES) $(USRGAMESDIR)
	$(INSTALLDIR) $(MAN1DIR) $(MAN6DIR)
	$(INSTALLMAN) $(MAN1) $(MAN1DIR)
	$(INSTALLMAN) $(MAN6) $(MAN6DIR)
ifeq "$(HAVE_WRITE)" "no"
ifeq "$(USE_TTY_GROUP)" "yes"
	chgrp tty $(USRBINDIR)/write
	chmod g+s $(USRBINDIR)/write
endif
endif

.PHONY:	clean
clean:
	-rm -f *.o *~ core $(BIN) $(USRBIN) $(USRGAMES) $(MAYBE)

=== modules/Makefile ===


top_builddir=../
top_srcdir=..
srcdir=.

GLUE_MODULE_OBJS=mod_core.o mod_xfer.o mod_auth_unix.o mod_auth_file.o mod_auth.o mod_ls.o mod_log.o mod_site.o mod_delay.o mod_auth_pam.o  mod_cap.o
SHARED_CFLAGS=-DPR_SHARED_MODULE
SHARED_LDFLAGS=-avoid-version -export-dynamic -module


include ../Make.rules

.SUFFIXES: .la

.PHONY: ""

all:
	@echo "Running make from top level directory."
	cd .. && $(MAKE) all

Makefile: Makefile.in ../config.status
	cd ../ && ./config.status

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<

.c.la:
	$(LIBTOOL) --mode=compile $(CC) $(CPPFLAGS) $(CFLAGS) $(SHARED_CFLAGS) -c $*.c
	$(LIBTOOL) --mode=link $(CC) -o $@ -rpath $(LIBEXECDIR) $(LDFLAGS) $(SHARED_LDFLAGS) $*.lo `cat $(top_srcdir)/modules/$*.c | grep '$$Libraries:' | sed -e 's/^.*\$$Libraries: \(.*\)\\$$/\1/'`

module_glue.c: module_glue.c.tmpl $(STATIC_MODULE_OBJS)
	srcdir=$(srcdir) $(srcdir)/glue.sh $(GLUE_MODULE_OBJS)

shared: $(SHARED_MODULE_OBJS)
	@dirs="$(SHARED_MODULE_DIRS)"; \
	for dir in $$dirs; do \
		(cd $(top_srcdir)/$$dir/ && $(MAKE) shared); \
	done

static: $(STATIC_MODULE_OBJS) module_glue.o
	@dirs="$(STATIC_MODULE_DIRS)"; \
	for dir in $$dirs; do \
		module=`echo "$$dir" | sed -e 's/^.*\///'`; \
		(cd $(top_srcdir)/$$dir/ && $(MAKE) static); \
		cp $(top_srcdir)/$$dir/$$module.o .; \
	done

install:
	test -z "$(SHARED_MODULE_OBJS)" || $(LIBTOOL) --mode=install $(INSTALL_BIN) $(SHARED_MODULE_OBJS) $(DESTDIR)$(LIBEXECDIR)
	@dirs="$(SHARED_MODULE_DIRS)"; \
	for dir in $$dirs; do\
		cd $(top_srcdir)/$$dir/ && $(MAKE) install; \
	done

clean:
	$(RM) *.o module_glue.c
	$(LIBTOOL) --mode=clean $(RM) $(SHARED_MODULE_OBJS)
	$(LIBTOOL) --mode=clean $(RM) `echo $(SHARED_MODULE_OBJS) | sed 's/\.la$\/.lo/g'`
	@dirs="$(SHARED_MODULE_DIRS) $(STATIC_MODULE_DIRS)"; \
	for dir in $$dirs; do\
		cd $(top_srcdir)/$$dir/ && $(MAKE) clean; \
	done

depend:
	$(RM) module_glue.c
	makedepend $(CPPFLAGS) -Y *.c 2>/dev/null
	makedepend $(CPPFLAGS) -Y -fMakefile.in *.c 2>/dev/null

# Dependancies automagically written below by makedepend

# DO NOT DELETE

mod_auth.o: ../include/conf.h ../include/version.h ../config.h
mod_auth.o: ../include/default_paths.h ../include/options.h ../include/pool.h
mod_auth.o: ../include/regexp.h ../include/table.h ../include/proftpd.h
mod_auth.o: ../include/class.h ../include/netacl.h ../include/support.h
mod_auth.o: ../include/sets.h ../include/dirtree.h ../include/netio.h
mod_auth.o: ../include/modules.h ../include/auth.h ../include/response.h
mod_auth.o: ../include/timers.h ../include/inet.h ../include/child.h
mod_auth.o: ../include/netaddr.h ../include/bindings.h ../include/ident.h
mod_auth.o: ../include/help.h ../include/feat.h ../include/ftp.h
mod_auth.o: ../include/log.h ../include/parser.h ../include/xferlog.h
mod_auth.o: ../include/scoreboard.h ../include/data.h ../include/display.h
mod_auth.o: ../include/libsupp.h ../include/glibc-glob.h ../include/fsio.h
mod_auth.o: ../include/mkhome.h ../include/ctrls.h ../include/event.h
mod_auth.o: ../include/var.h ../include/compat.h ../include/pr-syslog.h
mod_auth.o: ../include/privs.h
mod_auth_file.o: ../include/conf.h ../include/version.h ../config.h
mod_auth_file.o: ../include/default_paths.h ../include/options.h
mod_auth_file.o: ../include/pool.h ../include/regexp.h ../include/table.h
mod_auth_file.o: ../include/proftpd.h ../include/class.h ../include/netacl.h
mod_auth_file.o: ../include/support.h ../include/sets.h ../include/dirtree.h
mod_auth_file.o: ../include/netio.h ../include/modules.h ../include/auth.h
mod_auth_file.o: ../include/response.h ../include/timers.h ../include/inet.h
mod_auth_file.o: ../include/child.h ../include/netaddr.h
mod_auth_file.o: ../include/bindings.h ../include/ident.h ../include/help.h
mod_auth_file.o: ../include/feat.h ../include/ftp.h ../include/log.h
mod_auth_file.o: ../include/parser.h ../include/xferlog.h
mod_auth_file.o: ../include/scoreboard.h ../include/data.h
mod_auth_file.o: ../include/display.h ../include/libsupp.h
mod_auth_file.o: ../include/glibc-glob.h ../include/fsio.h
mod_auth_file.o: ../include/mkhome.h ../include/ctrls.h ../include/event.h
mod_auth_file.o: ../include/var.h ../include/compat.h ../include/pr-syslog.h
mod_auth_pam.o: ../include/conf.h ../include/version.h ../config.h
mod_auth_pam.o: ../include/default_paths.h ../include/options.h
mod_auth_pam.o: ../include/pool.h ../include/regexp.h ../include/table.h
mod_auth_pam.o: ../include/proftpd.h ../include/class.h ../include/netacl.h
mod_auth_pam.o: ../include/support.h ../include/sets.h ../include/dirtree.h
mod_auth_pam.o: ../include/netio.h ../include/modules.h ../include/auth.h
mod_auth_pam.o: ../include/response.h ../include/timers.h ../include/inet.h
mod_auth_pam.o: ../include/child.h ../include/netaddr.h ../include/bindings.h
mod_auth_pam.o: ../include/ident.h ../include/help.h ../include/feat.h
mod_auth_pam.o: ../include/ftp.h ../include/log.h ../include/parser.h
mod_auth_pam.o: ../include/xferlog.h ../include/scoreboard.h
mod_auth_pam.o: ../include/data.h ../include/display.h ../include/libsupp.h
mod_auth_pam.o: ../include/glibc-glob.h ../include/fsio.h ../include/mkhome.h
mod_auth_pam.o: ../include/ctrls.h ../include/event.h ../include/var.h
mod_auth_pam.o: ../include/compat.h ../include/pr-syslog.h ../include/privs.h
mod_auth_unix.o: ../include/conf.h ../include/version.h ../config.h
mod_auth_unix.o: ../include/default_paths.h ../include/options.h
mod_auth_unix.o: ../include/pool.h ../include/regexp.h ../include/table.h
mod_auth_unix.o: ../include/proftpd.h ../include/class.h ../include/netacl.h
mod_auth_unix.o: ../include/support.h ../include/sets.h ../include/dirtree.h
mod_auth_unix.o: ../include/netio.h ../include/modules.h ../include/auth.h
mod_auth_unix.o: ../include/response.h ../include/timers.h ../include/inet.h
mod_auth_unix.o: ../include/child.h ../include/netaddr.h
mod_auth_unix.o: ../include/bindings.h ../include/ident.h ../include/help.h
mod_auth_unix.o: ../include/feat.h ../include/ftp.h ../include/log.h
mod_auth_unix.o: ../include/parser.h ../include/xferlog.h
mod_auth_unix.o: ../include/scoreboard.h ../include/data.h
mod_auth_unix.o: ../include/display.h ../include/libsupp.h
mod_auth_unix.o: ../include/glibc-glob.h ../include/fsio.h
mod_auth_unix.o: ../include/mkhome.h ../include/ctrls.h ../include/event.h
mod_auth_unix.o: ../include/var.h ../include/compat.h ../include/pr-syslog.h
mod_auth_unix.o: ../include/privs.h
mod_cap.o: ../lib/libcap/include/sys/capability.h ../include/conf.h
mod_cap.o: ../include/version.h ../config.h ../include/default_paths.h
mod_cap.o: ../include/options.h ../include/pool.h ../include/regexp.h
mod_cap.o: ../include/table.h ../include/proftpd.h ../include/class.h
mod_cap.o: ../include/netacl.h ../include/support.h ../include/sets.h
mod_cap.o: ../include/dirtree.h ../include/netio.h ../include/modules.h
mod_cap.o: ../include/auth.h ../include/response.h ../include/timers.h
mod_cap.o: ../include/inet.h ../include/child.h ../include/netaddr.h
mod_cap.o: ../include/bindings.h ../include/ident.h ../include/help.h
mod_cap.o: ../include/feat.h ../include/ftp.h ../include/log.h
mod_cap.o: ../include/parser.h ../include/xferlog.h ../include/scoreboard.h
mod_cap.o: ../include/data.h ../include/display.h ../include/libsupp.h
mod_cap.o: ../include/glibc-glob.h ../include/fsio.h ../include/mkhome.h
mod_cap.o: ../include/ctrls.h ../include/event.h ../include/var.h
mod_cap.o: ../include/compat.h ../include/pr-syslog.h ../include/privs.h
mod_core.o: ../include/conf.h ../include/version.h ../config.h
mod_core.o: ../include/default_paths.h ../include/options.h ../include/pool.h
mod_core.o: ../include/regexp.h ../include/table.h ../include/proftpd.h
mod_core.o: ../include/class.h ../include/netacl.h ../include/support.h
mod_core.o: ../include/sets.h ../include/dirtree.h ../include/netio.h
mod_core.o: ../include/modules.h ../include/auth.h ../include/response.h
mod_core.o: ../include/timers.h ../include/inet.h ../include/child.h
mod_core.o: ../include/netaddr.h ../include/bindings.h ../include/ident.h
mod_core.o: ../include/help.h ../include/feat.h ../include/ftp.h
mod_core.o: ../include/log.h ../include/parser.h ../include/xferlog.h
mod_core.o: ../include/scoreboard.h ../include/data.h ../include/display.h
mod_core.o: ../include/libsupp.h ../include/glibc-glob.h ../include/fsio.h
mod_core.o: ../include/mkhome.h ../include/ctrls.h ../include/event.h
mod_core.o: ../include/var.h ../include/compat.h ../include/pr-syslog.h
mod_core.o: ../include/privs.h
mod_ctrls.o: ../include/conf.h ../include/version.h ../config.h
mod_ctrls.o: ../include/default_paths.h ../include/options.h
mod_ctrls.o: ../include/pool.h ../include/regexp.h ../include/table.h
mod_ctrls.o: ../include/proftpd.h ../include/class.h ../include/netacl.h
mod_ctrls.o: ../include/support.h ../include/sets.h ../include/dirtree.h
mod_ctrls.o: ../include/netio.h ../include/modules.h ../include/auth.h
mod_ctrls.o: ../include/response.h ../include/timers.h ../include/inet.h
mod_ctrls.o: ../include/child.h ../include/netaddr.h ../include/bindings.h
mod_ctrls.o: ../include/ident.h ../include/help.h ../include/feat.h
mod_ctrls.o: ../include/ftp.h ../include/log.h ../include/parser.h
mod_ctrls.o: ../include/xferlog.h ../include/scoreboard.h ../include/data.h
mod_ctrls.o: ../include/display.h ../include/libsupp.h
mod_ctrls.o: ../include/glibc-glob.h ../include/fsio.h ../include/mkhome.h
mod_ctrls.o: ../include/ctrls.h ../include/event.h ../include/var.h
mod_ctrls.o: ../include/compat.h ../include/pr-syslog.h ../include/privs.h
mod_ctrls.o: ../include/mod_ctrls.h
mod_delay.o: ../include/conf.h ../include/version.h ../config.h
mod_delay.o: ../include/default_paths.h ../include/options.h
mod_delay.o: ../include/pool.h ../include/regexp.h ../include/table.h
mod_delay.o: ../include/proftpd.h ../include/class.h ../include/netacl.h
mod_delay.o: ../include/support.h ../include/sets.h ../include/dirtree.h
mod_delay.o: ../include/netio.h ../include/modules.h ../include/auth.h
mod_delay.o: ../include/response.h ../include/timers.h ../include/inet.h
mod_delay.o: ../include/child.h ../include/netaddr.h ../include/bindings.h
mod_delay.o: ../include/ident.h ../include/help.h ../include/feat.h
mod_delay.o: ../include/ftp.h ../include/log.h ../include/parser.h
mod_delay.o: ../include/xferlog.h ../include/scoreboard.h ../include/data.h
mod_delay.o: ../include/display.h ../include/libsupp.h
mod_delay.o: ../include/glibc-glob.h ../include/fsio.h ../include/mkhome.h
mod_delay.o: ../include/ctrls.h ../include/event.h ../include/var.h
mod_delay.o: ../include/compat.h ../include/pr-syslog.h ../include/privs.h
mod_dso.o: ../include/conf.h ../include/version.h ../config.h
mod_dso.o: ../include/default_paths.h ../include/options.h ../include/pool.h
mod_dso.o: ../include/regexp.h ../include/table.h ../include/proftpd.h
mod_dso.o: ../include/class.h ../include/netacl.h ../include/support.h
mod_dso.o: ../include/sets.h ../include/dirtree.h ../include/netio.h
mod_dso.o: ../include/modules.h ../include/auth.h ../include/response.h
mod_dso.o: ../include/timers.h ../include/inet.h ../include/child.h
mod_dso.o: ../include/netaddr.h ../include/bindings.h ../include/ident.h
mod_dso.o: ../include/help.h ../include/feat.h ../include/ftp.h
mod_dso.o: ../include/log.h ../include/parser.h ../include/xferlog.h
mod_dso.o: ../include/scoreboard.h ../include/data.h ../include/display.h
mod_dso.o: ../include/libsupp.h ../include/glibc-glob.h ../include/fsio.h
mod_dso.o: ../include/mkhome.h ../include/ctrls.h ../include/event.h
mod_dso.o: ../include/var.h ../include/compat.h ../include/pr-syslog.h
mod_dso.o: ../include/mod_ctrls.h
mod_facl.o: ../include/conf.h ../include/version.h ../config.h
mod_facl.o: ../include/default_paths.h ../include/options.h ../include/pool.h
mod_facl.o: ../include/regexp.h ../include/table.h ../include/proftpd.h
mod_facl.o: ../include/class.h ../include/netacl.h ../include/support.h
mod_facl.o: ../include/sets.h ../include/dirtree.h ../include/netio.h

=== mount/Makefile ===
include ../make_include
include ../MCONFIG

DEFINES = -DHAVE_NFS

RPCSVCDIR = rpcsvc
RPC_CFLAGS = -Wno-unused 
RPCGEN = rpcgen

COMPILE = $(CC) -c $(CFLAGS) $(DEFINES)
LINK = $(CC) $(LDFLAGS)

SUID_PROGS = mount umount
NOSUID_PROGS = swapon losetup
MAN5 = fstab.5 nfs.5
MAN8 = mount.8 swapoff.8 swapon.8 umount.8 losetup.8

ifeq "$(HAVE_PIVOT_ROOT)" "yes"
NOSUID_PROGS := $(NOSUID_PROGS) pivot_root
MAN8 := $(MAN8) pivot_root.8
endif

PROGS = $(SUID_PROGS) $(NOSUID_PROGS)

MAYBE = pivot_root swapoff

LO_OBJS = lomount.o $(LIB)/xstrncpy.o rmd160.o
NFS_OBJS = nfsmount.o nfsmount_xdr.o nfsmount_clnt.o
GEN_FILES = nfsmount.h nfsmount_xdr.c nfsmount_clnt.c

all: $(PROGS)

install: $(PROGS)
	$(INSTALLDIR) $(BINDIR) $(SBINDIR)
	$(INSTALLSUID) $(SUID_PROGS) $(BINDIR)
	$(INSTALLBIN) $(NOSUID_PROGS) $(SBINDIR)
	(cd $(SBINDIR); ln -sf swapon swapoff)
	$(INSTALLDIR) $(MAN5DIR) $(MAN8DIR)
	$(INSTALLMAN) $(MAN5) $(MAN5DIR)
	$(INSTALLMAN) $(MAN8) $(MAN8DIR)

%.o: %.c
	$(COMPILE) $<

mount: mount.o fstab.o sundries.o realpath.o mntent.o version.o \
       mount_guess_fstype.o mount_by_label.o getusername.o \
       $(LIB)/setproctitle.o $(LIB)/env.o $(NFS_OBJS) $(LO_OBJS)
	$(LINK) $^ -o $@

umount: umount.o fstab.o sundries.o realpath.o mntent.o getusername.o \
	version.o $(LIB)/env.o $(LO_OBJS)
	$(LINK) $^ -o $@

swapon:	swapon.o version.o
	$(LINK) $^ -o $@

main_losetup.o: lomount.c
	$(COMPILE) -DMAIN lomount.c -o $@

losetup: main_losetup.o $(LIB)/xstrncpy.o rmd160.o
	$(LINK) $^ -o $@

mount.o umount.o nfsmount.o losetup.o fstab.o realpath.o sundries.o: sundries.h

mount.o umount.o fstab.o sundries.o: fstab.h

mount.o fstab.o mntent.o: mntent.h

mount.o mount_guess_fstype.o: mount_guess_fstype.h

mount.o: $(LIB)/setproctitle.h

mount.o umount.o getusername.o: getusername.h

mount.o umount.o losetup.o lomount.o: lomount.h loop.h

swapon.o: swap_constants.h swapargs.h

sundries.o nfsmount.o nfsmount_xdr.o nfsmount_clnt.o: nfsmount.h

umount.o: mount_constants.h

mount.o mount_by_label.o mount_guess_fstype.o: linux_fs.h

sundries.o realpath.o: realpath.h

nfsmount_clnt.o: nfsmount_clnt.c
	$(COMPILE) $(RPC_CFLAGS) nfsmount_clnt.c

nfsmount_xdr.o: nfsmount_xdr.c
	$(COMPILE) $(RPC_CFLAGS) nfsmount_xdr.c

ifeq "$(HAVE_GOOD_RPC)" "yes"
nfsmount.h nfsmount_xdr.c nfsmount_clnt.c: nfsmount.x
	rm -f nfsmount.h nfsmount_xdr.c nfsmount_clnt.c
	$(RPCGEN) -h -o nfsmount.h nfsmount.x
	$(RPCGEN) -c -o nfsmount_xdr.c nfsmount.x
	$(RPCGEN) -l -o nfsmount_clnt.c nfsmount.x
else
nfsmount.h nfsmount_xdr.c nfsmount_clnt.c:
	cp $(RPCSVCDIR)/nfsmount.h .
	cp $(RPCSVCDIR)/nfsmount_xdr.c .
	cp $(RPCSVCDIR)/nfsmount_clnt.c .
endif

nfsmount.o: nfs_mount4.h

swapargs.h:
	sh swap.configure

loop.h:
	sh mk_loop_h

clean:
	rm -f a.out core *~ *.o swapargs.h $(PROGS) $(MAYBE)
	rm -f loop.h nfs_mountversion.h

clobber distclean realclean: clean
	rm -f $(GEN_FILES)

=== net/Makefile ===
# $USAGI: Makefile,v 1.13 2002/08/04 02:57:45 yoshfuji Exp $
#
# Makefile for the linux networking.
#
# 2 Sep 2000, Christoph Hellwig <hch@infradead.org>
# Rewritten to use lists instead of if-statements.
#

O_TARGET :=	network.o

mod-subdirs :=	ipv4/netfilter ipv6/netfilter ipx irda bluetooth atm netlink sched core
export-objs :=	netsyms.o

subdir-y :=	core ethernet
subdir-m :=	ipv4 # hum?


subdir-$(CONFIG_NET)		+= 802 sched netlink
subdir-$(CONFIG_INET)		+= ipv4
subdir-$(CONFIG_NETFILTER)	+= ipv4/netfilter
subdir-$(CONFIG_UNIX)		+= unix
subdir-$(CONFIG_IPSEC)          += key
subdir-$(CONFIG_IPCOMP)         += ipcomp
subdir-$(CONFIG_IPV6)		+= ipv6

ifneq ($(CONFIG_IPV6),n)
ifneq ($(CONFIG_IPV6),)
subdir-$(CONFIG_NETFILTER)	+= ipv6/netfilter
subdir-$(CONFIG_IPV6_MOBILITY)	+= ipv6/mobile_ip6
endif
endif

ifeq ($(CONFIG_IPV6),y)
subdir-$(CONFIG_IPV6_IPV6_TUNNEL)              += ipv6
endif

subdir-$(CONFIG_KHTTPD)		+= khttpd
subdir-$(CONFIG_PACKET)		+= packet
subdir-$(CONFIG_NET_SCHED)	+= sched
subdir-$(CONFIG_BRIDGE)		+= bridge
subdir-$(CONFIG_IPX)		+= ipx
subdir-$(CONFIG_ATALK)		+= appletalk
subdir-$(CONFIG_WAN_ROUTER)	+= wanrouter
subdir-$(CONFIG_X25)		+= x25
subdir-$(CONFIG_LAPB)		+= lapb
subdir-$(CONFIG_NETROM)		+= netrom
subdir-$(CONFIG_ROSE)		+= rose
subdir-$(CONFIG_AX25)		+= ax25
subdir-$(CONFIG_IRDA)		+= irda
subdir-$(CONFIG_BLUEZ)		+= bluetooth
subdir-$(CONFIG_SUNRPC)		+= sunrpc
subdir-$(CONFIG_ATM)		+= atm
subdir-$(CONFIG_DECNET)		+= decnet
subdir-$(CONFIG_ECONET)		+= econet
subdir-$(CONFIG_VLAN_8021Q)           += 8021q


obj-y	:= socket.o $(join $(subdir-y), $(patsubst %,/%.o,$(notdir $(subdir-y))))
ifeq ($(CONFIG_NET),y)
obj-$(CONFIG_MODULES)		+= netsyms.o
obj-$(CONFIG_SYSCTL)		+= sysctl_net.o
endif

include $(TOPDIR)/Rules.make

=== debian/changelog ===
shadow (20000902-6.1) unstable; urgency=low
 
  * Non-maintainer upload.
  * Upgrade to latest config.sub and config.guess.  Closes: #88547
 
 -- Gerhard Tonn <gt@debian.org>  Fri,  1 Jun 2001 20:38:43 +0200
                                                              

shadow (20000902-6) unstable; urgency=medium

  * actually set root's password when appropriate
    patch thanks to joeyh, closes #98402
  * fix error in expiry man page.  Such damage. closes: #99291
  * fix group of setgid program chage and expiry, closes: #98122

 -- Karl Ramm <kcr@debian.org>  Thu, 31 May 2001 07:38:59 -0400

shadow (20000902-5) unstable; urgency=low

  * add build dependency on file, to keep libtool happy. closes: #97498

 -- Karl Ramm <kcr@debian.org>  Wed, 16 May 2001 06:57:23 -0400

shadow (20000902-4) unstable; urgency=low

  * Change maintainers, closes: #92355

 -- Karl Ramm <kcr@debian.org>  Sun, 13 May 2001 03:28:07 -0400

shadow (20000902-3.1) unstable; urgency=low

  * Non-maintainer upload
  * Recompile to fix ARM lossage 

 -- Philip Blundell <philb@armlinux.org>  Sun, 11 Mar 2001 07:47:27 -0500

shadow (20000902-3) unstable; urgency=low

  * Update config.sub and config.guess so ia64 compiled, closes: #81897
  * libmisc/sub.c: skip '*' in shell name when doing subsystem, closes:
    #82893
  * src/su.c: don't assume uid 0 == "root", use getpwuid to fetch it,
    closes: #81924
  * This was fixed in a previous version, closes: #77057
  * Update passwd long desc, closes: #88299
  * Conflict with suidmanager << 0.5, and remove suid{,un}register calls,
    closes: #87157
  * Update policy to 3.5.0.0
  * Added debconf support for passwd from base-config

 -- Ben Collins <bcollins@debian.org>  Sat,  3 Mar 2001 07:26:57 -0500

shadow (20000902-2) unstable frozen; urgency=low

  * control.hurd->control.gnu: closes: #77940
  * Cannot reproduce, closes: #79447
  * User never sent a patch, plus I think removing the passwd/account when
    doing passwd -l is a bad idea. Makes it so you cannot unlock the
    account. closes: #77824
  * Don't allow shadowconfig to change perms of other binaries, close: #77057
  * IMO, this is not a bug. It's part of a feature, and can be disabled by
    turning off USER_GROUPS. closes: #76806
  * /bin/login is suid root for several good reasons. For one, it allows
    daemons that use it to run as non-root. This is a good thing since it
    means only one program is running as root, and not several. closes: #17911
  * sulog is fairly easy to grep or parse so I don't see how the
    similarity of the log entries for failed and successful is a problem.
    '-' for failed, '+' for success. closes: #63801
  * logoutd.8: s,/etc/utmp,/var/run/utmp, closes: #80494
  * Fix case where pam_auth returns a NULL username, closes: #76817, #75510
  * Hmm, Linux is a sysv derivative, so the comment is perfectly
    legitimate, closes: #76898
  * MAX_PASSWORD is used by useradd, and CHFN_AUTH is actually used by
  * chfn to decide if the current user needs to auth in order to change
    their info, closes: #71114
  * login.1: Fix \' closes: #75435
  * login -f works for me assuming you call it as root. I tested this with
    plain pam_unix.so, and also with pam_unix.so stacked with pam_ldap.so.
    So if it doesn't work with telnet-heimdal, then that program is not
    doing something right. closes: #78186
  * login.pam.d: made pam_nologin.so requisite. closes: #80111
  * su to root seems pretty quick to me, closes: #64756
  * xmalloc.c: remove decleration of malloc, which was causing system
  * header conflicts. closes: #80398

 -- Ben Collins <bcollins@debian.org>  Sun, 31 Dec 2000 14:33:47 -0500

shadow (20000902-1) unstable frozen; urgency=low

  * New upstream release, lots of Debian patches merged, closes: #72735
  * man/passwd.1: removed reference to passwd(3), closes: #72704
  * man/chsh.1,man/chfn.1: document login.defs affects on these programs,
    closes: #68029
  * not a bug, expected behavior, closes: #74137
  * IMO, this is a bug in the user's setup, closes: #65600
  * securetty: add devfs console devices, closes: #71946
  * libmisc/sulog.c: removed arbitrary limit on number of chars printed of
    the tty name (truncated to 6 chars, which is silly), closes: #65404
  * tested this, and it works fine for me so long as pam_unix.so is called
    with the nullok option (which it isn't by default because of security
    concerns), closes: #75063
  * appears to be fixed by PAM, closes: #70627
  * src/useradd.c: user mkstemp instead of mktemp, per libc6 linktime
    warning
  * src/su.c: fixup arg handling passed to shell, closes: #75326

 -- Ben Collins <bcollins@debian.org>  Mon, 23 Oct 2000 13:22:29 -0400

shadow (19990827-21) unstable frozen; urgency=low

  * Added build deps
  * Use pre-generated files for hurd/linux control file. The old method of
    using cpp would have broken with the new gcc.

 -- Ben Collins <bcollins@debian.org>  Wed, 26 Jul 2000 21:04:03 -0400

shadow (19990827-20) unstable frozen; urgency=low

  * Release Manager
    None of these are marked as RC in the BTS, however, they do make the
    package unsuitable for release. Since this is an essential package (IOW,
    installed on every Debian system), I hope you can see how important it
    is to make sure this package is perfect. None of the changes are
    functional (except the fix in logoutd's init script, which was a 20 char
    change), so please consider this for the next test cycle.
  * Fix logoutd init script from spurious output when /etc/porttime is not
    there, closes: #63962, #64067
  * su: Fix typo in usage output, closes: #60226
  * passwd: Fixed typo and missing newline in output for successful password
    change, closes: #64106, #63703
  * passwd.1: Add documentation on the -f, -e, -s and -d command line
    options, closes: #64339, #64410
  * login: Verified that utmp/wtmp works when called by telnet with -h
    option, closes: #56854



=== debian/control ===
Source: shadow
Section: base
Priority: required
Maintainer: Karl Ramm <kcr@debian.org>
Standards-Version: 3.5.0.0
Build-Depends: autoconf, automake, bzip2, gettext, libpam0g-dev [!hurd-i386], texinfo, file

Package: passwd
Architecture: any
Depends: ${shlibs:Depends}, login (>= 970502-1), libpam-modules (>= 0.72-5)
Conflicts: shadow-passwd, pam-apps, suidregister (<< 0.50)
Replaces: shadow-passwd
Replaces: manpages (<=1.15-2)
Section: base
Priority: required
Description: Change and administer password and group data.
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/share/doc/passwd/README.Debian.gz

Package: login
Architecture: any
Pre-Depends: ${shlibs:Depends}
Depends: libpam-modules (>= 0.72-5)
Conflicts: shadow-login, pam-apps, secure-su, suidregister (<< 0.50)
Replaces: shadow-login, shadow-passwd, shellutils (<< 2.0-2)
Essential: yes
Section: base
Priority: required
Description: System login tools
 These tools are required to be able to login and use your system. The
 login program invokes you user shell and enables command execution. The
 newgrp program is used to change your effective group ID (useful for
 workgroup type situations). The su program allows changing your effective
 user ID (useful being able to execute commands as another user).
 .
 Also supplies a logout daemon that can place limits on when, from where,
 and for how long certain users can login to the system.
Source: shadow
Section: base
Priority: required
Maintainer: Marek Michalkiewicz <marekm@linux.org.pl>
Standards-Version: 2.3.0.0

Package: login
Architecture: any
Pre-Depends: ${shlibs:Depends}
Conflicts: shadow-login
Replaces: shadow-login, shadow-passwd
Essential: yes
Section: base
Priority: required
Description: Sign on to the system.
 login and newgrp change the user and group.

Package: passwd
Architecture: any
Depends: ${shlibs:Depends}, login (>= 970502-1)
Conflicts: shadow-passwd
Replaces: shadow-passwd
Replaces: manpages (<=1.15-2)
Section: base
Priority: required
Description: Change and administer password and group data.
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/doc/passwd/README.Debian

Package: secure-su
Architecture: any
Depends: ${shlibs:Depends}, login (>= 970502-1)
Conflicts: shadow-su
Replaces: shadow-su
Section: admin
Priority: optional
Description: su with more security options
 secure-su offers more security options than the normal su, such as a
 wheel group, and from-user and to-user specific restrictions.

=== debian/rules ===
#! /usr/bin/make -f

SHELL = bash
package = util-linux

ifndef DEB_HOST_ARCH
DEB_BUILD_ARCH := $(shell dpkg --print-installation-architecture)
DEB_HOST_ARCH = $(DEB_BUILD_ARCH)
endif

export arch = $(DEB_HOST_ARCH)
version := $(shell sed -e '1{;s|^util-linux (\(.*\))\ .*|\1|;q;}' debian/changelog)

fdisk_arch = $(findstring $(arch),alpha i386 powerpc arm mips mipsel hppa ia64)
sparc = $(findstring $(arch),sparc)
nokernel24headers = $(findstring $(arch),m68k ia64)

build:
	$(checkdir)
	./configure
	$(MAKE) all arch=$(arch)
	-$(MAKE) disk-utils/raw
	touch build

clean:
	$(checkdir)
	rm -f build sys-utils/rdev
	touch make_include
	$(MAKE) distclean
	find . -name '*~' -print0 | xargs -0r rm
	rm -rf debian/tmp* debian/files* debian/substvars po/messages

# Architecture independant stuff

SUIDFILES = debian/tmp-mount/bin/{u,}mount

INITFILES = debian/hwclock.sh
BINFILES  = sys-utils/{arch,dmesg} \
	    text-utils/more
SBINFILES = disk-utils/{mkswap,blockdev} login-utils/agetty \
            hwclock/hwclock
ifneq ($(arch),$(nokernel24headers))
SBINFILES += disk-utils/raw mount/pivot_root
endif
UBINFILES = sys-utils/{ipcs,ipcrm,setsid} \
	    misc-utils/{namei,setterm,mcookie,whereis,ddate} \
	    getopt-1.1.2/getopt text-utils/rev disk-utils/fdformat
UBINFILES2= misc-utils/chkdupexe # debian/fdformat # don't strip these
ULIBFILES = text-utils/more.help
USBINFILES= sys-utils/readprofile disk-utils/elvtune # disk-utils/setfdprm

MOUNTBINFILES  = mount/mount mount/umount
MOUNTSBINFILES = mount/swapon mount/losetup

#BSDBINFILES = # misc-utils/kill
BSDUBINFILES = misc-utils/script misc-utils/logger sys-utils/renice login-utils/wall
BSDMAN1FILES = login-utils/wall.1 misc-utils/script.1 misc-utils/logger.1 # misc-utils/kill.1
BSDMAN8FILES = sys-utils/renice.8
BSDDOCFILES = debian/README.script

# Architecture independant docs

MAN1FILES = text-utils/{more,rev}.1 misc-utils/{namei.1,mcookie.1} \
	    sys-utils/{arch,readprofile}.1 \
            misc-utils/{chkdupexe.1,setterm.1,whereis.1,ddate.1} \
	    getopt-1.1.2/getopt.1
MAN8FILES = sys-utils/{dmesg.8,ipcrm.8,ipcs.8,setsid.8} login-utils/agetty.8 \
	      hwclock/hwclock.8 \
	      disk-utils/{mkswap.8,blockdev.8} disk-utils/elvtune.8 \
	      disk-utils/fdformat.8 # disk-utils/setfdprm.8
ifneq ($(arch),$(nokernel24headers))
MAN8FILES += disk-utils/raw.8 mount/pivot_root.8
endif

EXAMPLES = debian/fstab.example2 fdisk/sfdisk.examples \
	getopt-1.1.2/{test,parse}.{ba,tc}sh


INFOFILES = sys-utils/ipc.info
DOCFILES  = login-utils/{README.getty,README.modems-with-agetty,README.poeigl} debian/README.Debian.hwclock

MOUNTMAN5FILES = mount/fstab.5 mount/nfs.5
MOUNTMAN8FILES = mount/losetup.8 mount/swapoff.8 mount/umount.8 \
		 mount/mount.8 mount/swapon.8
MOUNTDOCFILES  = mount/README.mount

ifneq ($(arch),$(sparc))
SBINFILES := $(SBINFILES) disk-utils/{fsck.minix,mkfs,mkfs.minix}
MAN8FILES := $(MAN8FILES) disk-utils/{{fsck,mkfs}.minix.8,mkfs.8}
endif
ifeq ($(arch),$(fdisk_arch))
USBINFILES:= $(USBINFILES) sys-utils/{tunelp,cytune}
SBINFILES := $(SBINFILES) fdisk/{cfdisk,fdisk,sfdisk}
MAN8FILES := $(MAN8FILES) fdisk/{cfdisk.8,fdisk.8,sfdisk.8} \
	    sys-utils/{tunelp.8,cytune.8}
DOCFILES  := $(DOCFILES) fdisk/README.{c,}fdisk
endif
ifeq ($(arch),$(sparc))
SBINFILES := $(SBINFILES) fdisk/fdisk
MAN8FILES := $(MAN8FILES) fdisk/fdisk.8
DOCFILES  := $(DOCFILES) fdisk/README.fdisk
endif
ifeq ($(arch),i386)
USBINFILES:= $(USBINFILES) sys-utils/rdev
MAN8FILES := $(MAN8FILES) sys-utils/{rdev.8,vidmode.8} \
		sys-utils/{ramsize.8,rootflags.8}
endif

install:

binary-indep:	checkroot build binary-arch
	$(checkdir)
	dpkg-gencontrol -isp -putil-linux-locales -Pdebian/tmp-util-linux-locales
	dpkg --build debian/tmp-util-linux-locales ..

binary-arch:	checkroot build
	rm -rf debian/tmp*
	install -d debian/tmp/{DEBIAN,bin,sbin,etc/init.d,usr/{share/locale/{fr,cs,da,de,es,it,ja,nl,pt_BR,tr}/LC_MESSAGES,lib/mime/packages,sbin,bin,share/man/{man1,man8},share/info,lib,share/util-linux,share/doc/$(package)/examples,share/lintian/overrides}}

	install -s $(BINFILES)  debian/tmp/bin
	install -s $(SBINFILES) debian/tmp/sbin
	install -s $(UBINFILES) debian/tmp/usr/bin
	install    $(UBINFILES2) debian/tmp/usr/bin
ifneq ($(USBINFILES),)
	install -s $(USBINFILES) debian/tmp/usr/sbin
ifeq ($(arch), i386)
	ln -s rdev debian/tmp/usr/sbin/ramsize
	ln -s rdev debian/tmp/usr/sbin/vidmode
	ln -s rdev debian/tmp/usr/sbin/rootflags
endif
endif
	install -m 755 $(INITFILES) debian/tmp/etc/init.d
	install -m 644 $(ULIBFILES) debian/tmp/usr/share/util-linux
	install -m 644 $(MAN1FILES) debian/tmp/usr/share/man/man1
	install -m 644 $(MAN8FILES) debian/tmp/usr/share/man/man8
	install -m 644 $(INFOFILES) debian/tmp/usr/share/info
	install -m 644 debian/lintian-override debian/tmp/usr/share/lintian/overrides/util-linux
	cd po && make install DESTDIR=../debian/tmp
	install -m 644 $(DOCFILES)  debian/tmp/usr/share/doc/$(package)
	install -m 644 $(EXAMPLES)  debian/tmp/usr/share/doc/$(package)/examples
ifeq ($(arch), powerpc)
	mv -f debian/tmp/sbin/fdisk debian/tmp/sbin/ddisk
	mv -f debian/tmp/usr/share/man/man8/fdisk.8 debian/tmp/usr/share/man/man8/ddisk.8
endif
	(cd debian/tmp/sbin ; mv agetty getty)
	(cd debian/tmp/usr/share/man/man8 ; mv agetty.8 getty.8)
ifneq ($(arch), powerpc)
	(cd debian/tmp/usr/share/man/man8 && ln -s hwclock.8.gz clock.8.gz)
endif
	(cd debian/tmp/usr/share/doc/$(package) ; mv README.modems-with-agetty README.modems-with-getty )
	perl -pi.bak -e 's/agetty/getty/g' debian/tmp/usr/share/man/man8/getty.8 \
	debian/tmp/usr/share/doc/$(package)/README.getty \
	debian/tmp/usr/share/doc/$(package)/README.modems-with-getty
	rm `find debian/tmp/usr -name \*.bak`
	install -m 644 debian/changelog \
	  debian/tmp/usr/share/doc/$(package)/changelog.Debian
	install -m 644 HISTORY debian/tmp/usr/share/doc/$(package)/changelog
	find debian/tmp/usr/share/{info,doc,man} -type f | xargs gzip -9
	install -m 644 debian/mime.util-linux debian/tmp/usr/lib/mime/packages/util-linux
	install -m 644 debian/copyright debian/tmp/usr/share/doc/$(package)/copyright
	install debian/{preinst,postinst,prerm,postrm} debian/tmp/DEBIAN/
	install -m 644 debian/conffiles debian/tmp/DEBIAN/
	ls debian/tmp/{bin,sbin,usr/{bin,sbin}}/* | xargs dpkg-shlibdeps -putil-linux
	install -d debian/tmp-util-linux-locales/usr/share/doc/util-linux-locales
	install -d debian/tmp-util-linux-locales/DEBIAN
	install -m 755 debian/util-linux-locales.postinst debian/tmp-util-linux-locales/DEBIAN/postinst
	install -m 755 debian/util-linux-locales.prerm debian/tmp-util-linux-locales/DEBIAN/prerm
	mv debian/tmp/usr/share/locale debian/tmp-util-linux-locales/usr/share/
	install -m 644 HISTORY debian/tmp-util-linux-locales/usr/share/doc/util-linux-locales/changelog
	install -m 644 debian/changelog debian/tmp-util-linux-locales/usr/share/doc/util-linux-locales/changelog.Debian
	find debian/tmp-util-linux-locales/usr/share/doc -type f | xargs gzip -9
	install -m 644 debian/copyright debian/tmp-util-linux-locales/usr/share/doc/util-linux-locales/copyright
	dpkg-gencontrol -isp -putil-linux
	dpkg --build debian/tmp ..

	# Mount
	install -d debian/tmp-mount/{DEBIAN,bin,sbin,usr/share/{man/{man8,man5},doc/mount/examples}}
	install -m 4755 -o root -s $(MOUNTBINFILES) debian/tmp-mount/bin/.
	install -m 755 -s $(MOUNTSBINFILES) debian/tmp-mount/sbin/.
	install -m 644 $(MOUNTMAN8FILES) debian/tmp-mount/usr/share/man/man8
	install -m 644 $(MOUNTMAN5FILES) debian/tmp-mount/usr/share/man/man5
	install -m 644 $(MOUNTDOCFILES) debian/tmp-mount/usr/share/doc/mount
	(cd debian/tmp-mount/sbin ; ln -s swapon swapoff)
	install -m 644 debian/mount.fstab \
	  debian/tmp-mount/usr/share/doc/mount/examples/fstab
	install -m 644 debian/changelog \
	  debian/tmp-mount/usr/share/doc/mount/changelog.Debian
	install -m 644 debian/changelog.Debian-mount.old \
	  debian/tmp-mount/usr/share/doc/mount/changelog.Debian-mount.old
	install -m 644 HISTORY debian/tmp/usr/share/doc/$(package)/changelog
